clear;
fiberloss = -2.33;
SW1 = readmatrix('averagedData_curved.csv');
SW2 = readmatrix('averagedData_straight.csv');
figure('Name','1');
hold on;
plot(SW1(:,1),SW1(:,2));
plot(SW2(:,1),SW2(:,2));
hold off;
ax = gca;
ax.FontSize = 23;
title('Transmission through Straight and Curved Waveguides','FontName','Cambria', 'Fontsize', 23)
xlabel('Wavelength [nm]', 'FontName','Cambria', 'Fontsize', 23) 
ylabel('Power [dBm]', 'FontName','Cambria', 'Fontsize', 23) 
legend('Curved Waveguide','Straight Waveguide', 'FontName','Cambria', 'Fontsize', 23);

figure('Name','2');
hold on;
plot(SW1(:,1),fiberloss-SW1(:,2));
plot(SW2(:,1),fiberloss-SW2(:,2));
ax = gca;
ax.FontSize = 23;
hold off;
title('Insertion Loss of Straight and Curved Waveguides', 'FontName','Cambria', 'Fontsize', 23)
xlabel('Wavelength [nm]', 'FontName','Cambria', 'Fontsize', 23) 
ylabel('Power [dBm]', 'FontName','Cambria', 'Fontsize', 23) 
legend('Curved Waveguide','Straight Waveguide', 'FontName','Cambria', 'Fontsize', 23);

figure('Name','3');
plot(SW1(:,1),(fiberloss-SW1(:,2))-(fiberloss-SW2(:,2)), 'm');
ax = gca;
ax.FontSize = 23;
title('Insertion Loss Difference Between Curved & Straight Waveguides', 'FontName','Cambria', 'Fontsize', 23)
xlabel('Wavelength [nm]', 'FontName','Cambria', 'Fontsize', 23) 
ylabel('Power [dBm]', 'FontName','Cambria', 'Fontsize', 23) 
curvedmaxloss =max(fiberloss - SW1(:,2))
curvedminloss = min(fiberloss - SW1(:,2))
straightmaxloss = max(fiberloss - SW2(:,2))
straightMinloss=min(fiberloss-SW2(:,2))
k = find(SW1(:,1)==1549.999)
fiberloss - SW2(33331,2)
fiberloss - SW1(33331,2)
fiberloss - SW2(33331,2)-(fiberloss - SW1(33331,2))


